curl --request GET \
--url https://api.example.com/api/v1/customers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"currency": "AED",
"custom_taxes": [
{
"name": "<string>",
"rate": "<string>",
"tax_code": "<string>"
}
],
"id": "<string>",
"invoicing_emails": [
"<string>"
],
"invoicing_entity_id": "<string>",
"name": "<string>",
"alias": "<string>",
"billing_address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
},
"billing_email": "<string>",
"phone": "<string>",
"shipping_address": {
"same_as_billing": true,
"address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
}
},
"vat_number": "<string>"
}
],
"pagination_meta": {
"page": 1,
"per_page": 1,
"total_items": 1,
"total_pages": 1
}
}List customers with optional pagination and search filtering.
curl --request GET \
--url https://api.example.com/api/v1/customers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"currency": "AED",
"custom_taxes": [
{
"name": "<string>",
"rate": "<string>",
"tax_code": "<string>"
}
],
"id": "<string>",
"invoicing_emails": [
"<string>"
],
"invoicing_entity_id": "<string>",
"name": "<string>",
"alias": "<string>",
"billing_address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
},
"billing_email": "<string>",
"phone": "<string>",
"shipping_address": {
"same_as_billing": true,
"address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
}
},
"vat_number": "<string>"
}
],
"pagination_meta": {
"page": 1,
"per_page": 1,
"total_items": 1,
"total_pages": 1
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Page number (0-indexed)
x >= 0Number of items per page
1 <= x <= 100